import React from "react"
import PropTypes from "prop-types"
import genDownloadLink from "../functions/genDownloadLink"
import { FileOpenerProps } from "../types/FileOpenerProps"

const ImageOpener: React.FC<FileOpenerProps> = (props) => {
	return (
		<img src={genDownloadLink(props.file.id)}/>
	)
}

ImageOpener.propTypes = {
	file: PropTypes.any.isRequired
}

export default ImageOpener
