function sizeToReadable(size: number): string {
	const i = Math.floor(Math.log(size) / Math.log(1024))
	const num = (size / Math.pow(1024, i))
	return (num.toFixed(1).endsWith("0")?num.toFixed(0):num.toFixed(1)) + " " + ["B", "kB", "MB", "GB", "TB"][i]

}

export default sizeToReadable
